function initTinyMCE( theElements ){
}

function myFileBrowser (field_name, url, type, win) {
	var fb_title = '';
	if(type == 'image') {
	fb_title = 'Bildauswahl';
	} else {
	fb_title = 'Dateiauswahl';
	}
	  tinyMCE.activeEditor.windowManager.open({
	      file : '{{vtLink:-met="vtfilebrowser"}}&-type=' + type,
	      title : fb_title,
	      width : 550,
	      height : 400,
	      resizable : 'yes',
	      inline : 'yes',
	      close_previous : 'no'
	  }, {
	      window : win,
	      input : field_name
	  });
	  return false;
}

var editor = {
	mode : "exact",
	theme : "advanced",
	skin : "o2k7",
	skin_variant : "silver",
	dialog_type : "modal",
	language : "de",
	tab_focus : ":prev,:next",
	button_tile_map : true,
	plugins : 'table,contextmenu,paste,nonbreaking,fullscreen,searchreplace,inlinepopups',
	cleanup_on_startup : true,
	valid_elements : "@[class],-h1,-h2,-h3,#p,-blockquote,-code,-ul,-ol,-li,table[border],thead,tbody,tr[align|valign],td[align|valign],a[href|target|title|name],-strong/b,-em/i,-span[class],br,hr,img[src|width|height|alt|border|usemap],-map[name],area[shape|coords|href|alt|title]",
	apply_source_formatting : true,
	verify_html: true,
	verify_css_classes : true,
	content_css : '',
	class_filter : function(cls, rule) {
	if (/^\..*/.test(rule)) {
		return cls;
	} else {
		return false;
	}
	},
	width : 650,
	height : 280,
	theme_advanced_toolbar_location : "top",
	theme_advanced_toolbar_align : "left",
	theme_advanced_statusbar_location : "",
	theme_advanced_path : true,
	theme_advanced_resizing : true,
	theme_advanced_resizing_min_width : 320,
	theme_advanced_resizing_min_height : 240,
	theme_advanced_resizing_use_cookie : false,
	theme_advanced_buttons1 : "formatselect,styleselect,|,bullist,numlist,|,bold,italic,|,link,unlink,anchor,|,image,|,table,|,hr,|,nonbreaking,charmap,|,undo,redo,|,cleanup,|,code,|,visualaid,|,fullscreen",
	theme_advanced_buttons2 : "",
	theme_advanced_buttons3 : "",
	theme_advanced_blockformats : "p,h1,h2,h3,blockquote,code",
	theme_advanced_source_editor_height : 400,						
	relative_urls : false,
	remove_script_host : false,
	document_base_url : '{{vtConfig: baseURL}}',
	file_browser_callback : "myFileBrowser"
};

{{vtIf: {vtGlobal:pxtcUseExtendedEditor} .eq. 1 }}
	{{vtInclude:includes/tinymce_extended.js}}
{{vtEndIf}}

tinyMCE_GZ.init({
	plugins : editor['plugins'],
	themes : 'advanced',
	languages : 'de',
	disk_cache : true,
	debug : false
});

editor['elements'] = '{{vtGet:EditorElements}}';
tinyMCE.init( editor );
