tinyMCE.init({
	mode : "exact",
	elements : vt_elements,
	theme : "advanced",
	skin : "o2k7",
	skin_variant : "silver",
	dialog_type : "modal",
	language : vt_language,
	tab_focus : ":prev,:next",
	button_tile_map : true,
	plugins : "table,contextmenu,paste,nonbreaking,fullscreen,searchreplace,inlinepopups",
	cleanup_on_startup : true,
	valid_elements : "@[class],-h1,-h2,-h3,#p,-blockquote,-code,-ul,-ol,-li,table[border],thead,tbody,tr[align|valign|colspan|rowspan],td[align|valign|colspan|rowspan],a[href|target|title|name],-strong/b,-em/i,-span[class],br,hr,img[src|width|height|alt|border|usemap],-map[name],area[shape|coords|href|alt|title],form[action|method|name],input[type|name|value|size|style],select[name|multiple],option[value],textarea[name|cols|rows]",
	apply_source_formatting : true,
	verify_html: true,
	verify_css_classes : true,
	content_css : vt_content_css,
	class_filter : function(cls, rule) {
		if (/^\..*/.test(rule)) {
			return cls;
		} else {
			return false;
		}
	},
	width : 650,
	height : 280,
	theme_advanced_toolbar_location : "top",
	theme_advanced_toolbar_align : "left",
	theme_advanced_statusbar_location : "",
	theme_advanced_path : true,
	theme_advanced_resizing : true,
	theme_advanced_resizing_min_width : 320,
	theme_advanced_resizing_min_height : 240,
	theme_advanced_resizing_use_cookie : false,
	theme_advanced_buttons1 : "formatselect,styleselect,|,bullist,numlist,|,bold,italic,|,link,unlink,anchor,|,image,|,table,|,hr,|,nonbreaking,charmap,|,undo,redo,|,cleanup,|,code,|,visualaid,|,fullscreen",
	theme_advanced_buttons2 : "",
	theme_advanced_buttons3 : "",
	theme_advanced_blockformats : "p,h1,h2,h3,blockquote,code",
	theme_advanced_source_editor_height : 400,						
	relative_urls : false,
	remove_script_host : false,
	document_base_url : vt_document_base_url,
	file_browser_callback : "myFileBrowser"
});
