<?php
	function readConfig( $path ) {

		$file = file( $path );
		array_shift( $file );
		array_pop( $file );
		$config = array();

		foreach( $file as $number => $line ) {
			if( trim($line) && substr($line, 0, 1) != ';' ) {
				$directive = explode( '=', $line );
				$field = trim( $directive[0] );
				$value = trim( str_replace( '"', '', $directive[1]) );
				$config[$field] = $value;
			}
		}

		return $config;
	}

	$my_dir = explode( '/', dirname(__FILE__) );
	array_splice( $my_dir, -3 );
	$pxtc_dir = implode( '/', $my_dir );
	$conf = readConfig( $pxtc_dir . '/config/config.php' );

	if( !mysql_connect( $conf['mysqlServer'], $conf['mysqlUser'], $conf['mysqlPassword'] ) ){
		die( "Could not connect to mySQL host\n" );
	}
	if( !mysql_select_db( $conf['mysqlDatabase'] ) ){
		die( "Could not select mySQL database\n" );
	}

	$table = $conf['mysqlTablePrefix'] . 'table_downloads';
	$code = mysql_real_escape_string( $_GET['c'] );
	
	$query = "DELETE FROM $table WHERE expires < CURRENT_TIMESTAMP";
	mysql_query( $query );
	
	$query = "SELECT `path` FROM $table WHERE `code` = '$code'";
	$result = mysql_query( $query );
	if( $result && mysql_num_rows($result) > 0 ){
		$row = mysql_fetch_array( $result, MYSQL_ASSOC );
		$file = $row['path'];
		$ip = $_SERVER["REMOTE_ADDR"];
		$query = "UPDATE $table SET `download_ip` = '$ip', `download_ts` = NOW() WHERE `code` = '$code'";
		mysql_query( $query );
	}
	
	mysql_close();

	if( !ini_get('safe_mode') ){
		set_time_limit(0);
	}

	if( file_exists( $file ) ){
		$fileRef = fopen($file,'rb');
		if( $fileRef ) {
			header( 'Content-Description: File Transfer' );
			header( 'Content-Type: application/octet-stream' );
			header( 'Content-Disposition: attachment; filename="' . basename($file) . '"' );
			header( 'Content-Transfer-Encoding: binary' );
			header( 'Expires: 0' );
			header( 'Cache-Control: must-revalidate, post-check=0, pre-check=0' );
			header( 'Pragma: public' );
			header( 'Content-Length: ' . filesize($file) );
			while( !feof($fileRef) ) {
				print( fread( $fileRef, 1024*8 ) );
				flush();
				if( connection_status()!=0 ) {
					fclose( $fileRef );
					print( 'Error01' );
				}
			}
			fclose( $fileRef );
			exit;
		} else {
			print( 'Error02' );
		}
	} else {
		print( 'Error03' );
	}
?>