tinyMCE.init({
	mode : "exact",
	elements : vt_elements,
	theme : "advanced",
	skin : "o2k7",
	skin_variant : "silver",
	dialog_type : "modal",
	language : vt_language,
	tab_focus : ":prev,:next",
	button_tile_map : true,
	plugins : "style,table,advhr,advimage,advlink,inlinepopups,searchreplace,contextmenu,paste,directionality,fullscreen,visualchars,nonbreaking,xhtmlxtras,layer,fullpage,media",
	cleanup_on_startup : true,
	apply_source_formatting : true,
	verify_html: true,
	verify_css_classes : false,
	content_css : vt_content_css,
	class_filter : function(cls, rule) {
	   if (/^\..*/.test(rule)) {
			return cls;
	   } else {
			return false;
	   }
	},
	width : 655,
	height : 400,
	theme_advanced_toolbar_location : "top",
	theme_advanced_toolbar_align : "left",
	theme_advanced_statusbar_location : "bottom",
	theme_advanced_path : true,
	theme_advanced_resizing : true,
	theme_advanced_resizing_min_width : 320,
	theme_advanced_resizing_min_height : 240,
	theme_advanced_resizing_use_cookie : false,
	theme_advanced_buttons1 : "formatselect,|,styleprops,|,bold,italic,underline,strikethrough,sub,sup,|,forecolor,backcolor,|,justifyleft,justifycenter,justifyright,justifyfull,|,bullist,numlist,|,outdent,indent,|,blockquote,|,ltr,rtl,|,attribs,|,fullpage",
	theme_advanced_buttons2 : "cut,copy,paste,pastetext,pasteword,|,search,replace,|,undo,redo,|,cleanup,removeformat,|,link,unlink,anchor,|,table,|,image,media,nonbreaking,charmap,advhr,|,insertlayer,moveforward,movebackward,absolute,|,code,|,visualaid,|,fullscreen",
	theme_advanced_buttons3 : "",
	theme_advanced_blockformats : "p,h1,h2,h3,h4,blockquote,dt,dd,pre,code,div",
	theme_advanced_toolbar_location : "top",
	theme_advanced_toolbar_align : "left",
	theme_advanced_statusbar_location : "bottom",
	theme_advanced_resizing : true,
	theme_advanced_source_editor_height : 400,						
	relative_urls : false,
	remove_script_host : false,
	document_base_url : vt_document_base_url,
	file_browser_callback : "myFileBrowser",
	template_external_list_url : "",
	external_link_list_url : "",
	external_image_list_url : "",
	media_external_list_url : "",
	valid_elements : "*[*]"
});
